import { lev, levW } from "../";

test("lev(abc, abd) == 1", () => {
    expect(lev("abc", "abd", 3, 3)).toBe(1);
    expect(levW("abc", "abd")).toBe(1);
});

test("lev(abc, abcd) == 1", () => {
    expect(lev("abc", "abcd", 3, 4)).toBe(1);
    expect(levW("abc", "abcd")).toBe(1);
});

test("lev(abcd, bcd) == 1", () => {
    expect(lev("abcd", "bcd", 4, 3)).toBe(1);
    expect(levW("abcd", "bcd")).toBe(1);
});
